%define name pdftohtml
%define rversion 0_20
%define version 0.20
%define release 2mdk
%define url http://www.ra.informatik.uni-stuttgart.de/~gosho/pdftohtml/

Summary: %{name} - A PDF to HTML converter.
Name: %{name}
Version: %{version}
Release: %{release}
Url: %{url}
Source0: %{url}/Download/%{name}_%{rversion}.tar.bz2
Patch0: pdftohtml-cflags.patch.bz2
Patch1: pdftohtml-path.patch.bz2
Copyright: GPL
Group: Text tools
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}

%description
PDFTOHTML converts Portable Document Format (PDF) files to HTML
format. This release converts text and links. Bold and italic face are
preserved, but high level HTML structures ( like lists or tables ) are
not yet generated. Images are ignored ( but you can extract them from
the PDF file using pdfimages, distributed with the Xpdf package )
. The current version is tested on Linux and Solaris 2.6

%prep
%setup -n %{name}_%{rversion}
%patch0 -p1
%patch1 -p1

%build
make all RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
P=$RPM_BUILD_ROOT/%{prefix}
mkdir -p $P/bin/
install -m755 -s %{name}.bin $P/bin/
install -m755 %{name} $P/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{prefix}/bin/%{name}
%{prefix}/bin/%{name}.bin

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.20-2mdk
- fix group
- fix permission on sources

* Sun Feb  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.20-1mdk
- First packaging.

